@Echo Off
color 1F
Title Remove Manage Power Plans CT Menu
cd %systemroot%\system32
call :IsAdmin

Reg delete "HKCR\DesktopBackground\Shell\ManagePowerPlans" /f >nul 2>&1
If Not %ERRORLEVEL% EQU 0 echo. & echo Seems like the 'Power Plan' Context Menu does not exist. & GOTO :Finished
echo.
echo Done.

:Finished
echo.
pause

Exit

:IsAdmin
Color 1F
Reg query "HKU\S-1-5-19\Environment" >nul 2>&1
If Not %ERRORLEVEL% EQU 0 (
 Cls & echo. & Echo You must have administrator rights to continue ... 
 echo. & Pause & Exit
)
Cls
goto:eof